// --------------------------------------------------------------------------
// Programms
// --------------------------------------------------------------------------

.programs {
    background: #fff;
    padding: 31px 0 50px;
    @include breakpoint(md) {
        padding: 33px 0 42px;
        background: #F6F9FB;
    }
    @include breakpoint(lg) {
        padding: 40px 0 50px;
    }
    @include breakpoint(xl) {
        padding: 85px 0;
    }
    &--white {
        background: #fff;
    }
}

.programs__title {
    @extend .ui-title-34;
    margin: 0 0 15px;
    @include breakpoint(md) {
        margin: 0 0 25px;
    }
    @include breakpoint(xl) {
        margin: 0 0 21px;
    }

}

.programs__text {
    font-size: 16px;
    line-height: 1.4;
    margin: 0 0 26px 0;
    max-width: 740px;
    @include breakpoint(md) {
        font-size: 18px;
        margin: 0 120px 48px 0;
    }
    @include breakpoint(xl) {
        margin: 0 120px 48px 0;
        
    }
}

.programs__grid {
    margin: 0;
    padding: 0;
    list-style: none;
    & > li {
        margin: 0 0 26px;
        &:last-child {
            margin: 0;
        }
    }
    @include breakpoint(sm) {
        display: flex;
        flex-wrap: wrap;
        margin: 0 -12px -34px;
        & > li {
            padding: 0 12px 34px;
            flex: 0 0 50%;
            max-width: 50%;
        }
    }
    @include breakpoint(lg) {
        margin: 0 -20px -33px;
        & > li {
            padding: 0 20px 33px;
        }
    }
    @include breakpoint(xl) {
        margin: 0 -10px -16px;
        & > li {
            padding: 0 10px 16px;
            flex: 0 0 33.333%;
            max-width: 33.333%;
        }
    }
}

.programs__item {
    position: relative;
    display: block;
    text-align: center;
    text-decoration: none;
    color: #333;
    transition: 0.25s;
    &:hover {
        text-decoration: none;
        color: #00757E;
    
    }
    @include breakpoint(md) {
        color: #fff;
        &:hover {
            color: #fff;
            .programs__item-image {
                background: #D3E4E7;
            }
        }
        
    }
}

.programs__item-image {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #D6E9EA;
    border-radius: 3px;
    margin: 0 0 12px;
    padding: 25px;
    height: 143px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    transition: 0.25s;
    &:after {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: linear-gradient(180.12deg, rgba(255, 255, 255, 0) -6.33%, rgba(0, 117, 126, 0.29) 70.53%, rgba(0, 82, 88, 0.85) 113.74%);
        
        z-index: -1;
    }
    img {
        display: block;
        max-height: 100%;
    }
    @include breakpoint(md) {
        background: #fff;
        margin: 0;
        padding: 40px;
        height: 188px;
        
    }
    @include breakpoint(lg) {
        height: 252px;
    }
    @include breakpoint(xl) {
        height: 244px;
    }
}

.programs__item-title {
    position: relative;
    z-index: 2;
    display: block;
    font-size: 16px;
    line-height: 1.2;
    font-weight: 400;
    margin: 0;
    @include breakpoint(md) {
        display: block;
        font-size: 20px;
        font-weight: 500;
        position: absolute;
        left: 32px;
        bottom: 18px;
    }
    @include breakpoint(lg) {
        left: 42px;
        bottom: 28px;
        font-size: 22px;
    }
}